<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:ads="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:paddingBottom="@dimen/activity_vertical_margin"
    android:paddingLeft="@dimen/activity_horizontal_margin"
    android:paddingRight="@dimen/activity_horizontal_margin"
    android:paddingTop="@dimen/activity_vertical_margin"
    tools:context="com.hyperling.apps.the45minuterule.MainActivity">

    <!-- view for AdMob Banner Ad -->
    <com.google.android.gms.ads.AdView
        android:id="@+id/adView"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_centerHorizontal="true"
        ads:adSize="BANNER"
        ads:adUnitId="@string/main_banner_ad" />

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentTop="true"
        android:layout_above="@id/adView"
        android:layout_centerHorizontal="true"
        android:id="@+id/scrollView">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:id="@+id/innerRelativeLayout">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:layout_alignParentTop="true"
                android:id="@+id/layTime">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/main_header_choose_time"
                    android:textSize="20sp"
                    android:id="@+id/tvTime"/>

                <Button
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:background="@android:color/transparent"
                    android:text="@string/main_button_show_time"
                    android:textSize="20sp"
                    android:textAllCaps="false"
                    android:id="@+id/btnTime"/>

            </LinearLayout>

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@+id/layTime"
                android:text="@string/main_rb_header"
                android:textSize="18sp"
                android:id="@+id/tvTired"/>

            <RadioGroup
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@+id/tvTired"
                android:id="@+id/rgTired">

                <RadioButton
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:text="@string/main_rb_opt1"
                    android:textSize="14sp"
                    android:id="@+id/rb1"/>

                <RadioButton
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:text="@string/main_rb_opt2"
                    android:textSize="14sp"
                    android:id="@+id/rb2"/>

                <RadioButton
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:text="@string/main_rb_opt3"
                    android:textSize="14sp"
                    android:id="@+id/rb3"/>

            </RadioGroup>

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@id/rgTired"
                android:paddingTop="8dp"
                android:text="@string/blank"
                android:textSize="16sp"
                android:id="@+id/tvDigitalClocksHeader"/>

            <TableLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@id/tvDigitalClocksHeader"
                android:id="@+id/layClocks"/>

        </RelativeLayout>

    </ScrollView>

</RelativeLayout>
